require "scripts/style"
require "scripts/widgets/shade"


TextStyle=
{
	parent=DialogBodyText,
	x=0,y=46,w=kMax,h=kMax-80
};

PlaySound("POPUP-IN");
MakeDialog
{
  MakeShade(),
	-- Name the modal dialog
	name="difficulty",
	PopBitmap
	{
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,

		Window
		{
			name="choosedifficulty",
			w=kMax,h=kMax,

      SetStyle(DialogTitleText),
			Text
			{
				name = "choosemode",
				label = "choosemode"
			};

     SetStyle(DialogBodyText),
		Text
		{			
      h=120,
		  y=76,
			name = "relaxtex",		
			flags = kVAlignTop + kHAlignCenter,
			label= "relaxmode-text",
		};
		Text
		{			
		  h=120,
      y=196,
			name = "normaltext",		
			flags = kVAlignTop + kHAlignCenter,
			label= "normalmode-text",
		};

	    SetStyle(LongButtonStyle),
 
			Button
			{
				label="relaxmode-button",
				name="relaxed",
				close=true,
				align=kHAlignLeft+kVAlignBottom,
            x = kCenter,
            y = 191,
				command=function() SetRelaxed(1); CloseWindow(); PlaySound("POPUP-OUT"); end;
			},
			Button
			{
				label="normalmode-button",
				name="normal",
				close=true,
				align=kHAlignLeft+kVAlignBottom,
            x = kCenter,
            y = 331,
				command=function() SetRelaxed(0); CloseWindow(); PlaySound("POPUP-OUT"); end;
			},			
		},
	}
}

